;*****************************************************************
;
;	Filename:	B2B_DEMO.ASM
;	Code Rev:	1.0
;	Rev Date:	11/04/03
;	PCB Rev :	R1.0A R18 PCB
;	Author  :	David T. Davis
;
;*****************************************************************
;
;	Oscillator  :	XT
;	Code Protect:	Off
;	Watchdog    :	Off
;	PWR up timer:	Off
;
;*****************************************************************
;
;	Program to demonstrate BIN2BCD, a conversion routine.
;
;*****************************************************************

	TITLE	"BIN2BCD demo ASM code 1.0"
	LIST	P=PIC16F84, F=INHX8M
	RADIX	HEX
	
;*****************************************************************
;	Register & Bit Definitions For Processor.
;*****************************************************************
	INCLUDE	<P16F84.INC>

;*****************************************************************
;	Register Definitions For Main Routine.
;*****************************************************************
;	none

;*****************************************************************
;	Register Definitions For BIN2BCD Routine.
;*****************************************************************
ONE	EQU	0x0C		; 1'S BCD register
TEN	EQU	0x0D		; 10'S BCD register
HUND	EQU	0x0E		; 100'S BCD register

;*****************************************************************
;	Initialization routine.
;*****************************************************************
	ORG	0x00

	BANKSEL TRISA
	MOVLW	0x00
	MOVWF	TRISA		; make PORTA all outputs
	MOVLW	0x00
	MOVWF	TRISB		; make PORTB all outputs

	BANKSEL PORTA
	MOVLW	0x00
	MOVWF	PORTA		; init PORTA to all zeros
	MOVLW	0x00
	MOVWF	PORTB		; init PORTB to all zeros

;*****************************************************************
;	Main routine.
;*****************************************************************
MAIN	MOVLW	0x7F		; decimal 127 value
	CALL	BIN2BCD		; do binary to BCD conversion

LOOP	GOTO	LOOP		; done, just loop here

;*****************************************************************
;	Include files.
;*****************************************************************
	INCLUDE	<BIN2BCD.INC>

;*****************************************************************
;	End of program.
;*****************************************************************

	END
